From 3a9e203e3a9c976e315101cfb19f29e8b3ee57b3 Mon Sep 17 00:00:00 2001
From: Pavel Borisov <pashkin.elfe@gmail.com>
Date: Mon, 17 Feb 2025 13:34:01 +0400
Subject: [PATCH] Fix typo and grammar in comment introduced by 6a2275b

Reported-by: Kirill Reshke
---
 src/backend/access/transam/xlog.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index 75d5554c77c..010afffa482 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -2201,9 +2201,9 @@ AdvanceXLInsertBuffer(XLogRecPtr upto, TimeLineID tli, bool opportunistic)
 			if (pg_atomic_read_u64(&XLogCtl->xlblocks[nextidx]) != NewPageEndPtr)
 			{
 				/*
-				 * Page at nextidx wasn't initialized yet, so we cann't move
-				 * InitializedUpto further. It will be moved by backend which
-				 * will initialize nextidx.
+				 * Page at nextidx hasn't been initialized yet, so we cannot move
+				 * InitializedUpto further. It will be moved by backend that
+				 * initializes nextidx.
 				 */
 				ConditionVariableBroadcast(&XLogCtl->InitializedUpToCondVar);
 				break;
-- 
2.39.2 (Apple Git-143)

